%jde pouzit contour (isocary) a mesh (to moje), ale aby vypadaly aspon
%nejak k svetu, jsou potreba pouzit ruzne parametry


%pro mesh pouzij frame_size
frame_size = fix(linspace(84,1538,100));

%pro contour pouzij frame_size
% frame_size = 84:1:1538;

vl_N = 1:1:100;

BW = 100*1e6;

a = frame_size*8./BW;
max_jitter = zeros(100,1538);

for i = 1:size(vl_N,2)
    for j = 1:size(frame_size,2)
        max_jitter(i,frame_size(j)) = 40e-6 + vl_N(i)*(frame_size(j)*8/BW);
        if max_jitter(i,frame_size(j)) > 500e-6
            %nasledujici radek zakomentuj, pokud chces nelimitovany delay
            %(tech 500 us)
            %max_jitter(i,frame_size(j)) = 0;
        end
    end
end

%tady zakomentuj, co nepotrebujes
h = mesh(max_jitter);
% h = contour3(max_jitter,7);
%h = gcf;
title('Zpoždění plánovače koncového systému');
xlabel('Velikost AFDX rámce [B]');
ylabel('Počet VL [-]');
zlabel('Maximální zpoždění plánovače [s]');
set(gcf,'Color', 'White');
colormap('HSV');
colorbar;

%!!!!
%pokud pouzijes contour, tak nasledujici zakomentovat
zData = get(h,'ZData');
[x y] = size(zData);
for i = 1:x
    for j = 1:y
        if j < 84
            zData(i,j) = nan;
        end
        
        if j == frame_size(i)
            maxIndex = find(zData(:,j)==max(zData(:,j)));
            maxIndex = maxIndex + 1;
            
            zData(maxIndex:end,j:end) = nan;
        end
    end
end

set(h,'ZData',zData);